Class | PhusionPassenger::HTMLTemplate
In: | lib/phusion_passenger/html_template.rb
Parent: | Object

A convenience utility class for rendering our error pages.

### Methods

[]= new result

### Included Modules

ERB::Util

### Constants

PASSENGER_FILE_PREFIX | = | File.dirname(__FILE__)
TEMPLATE_DIR | = | "#{PASSENGER_FILE_PREFIX}/templates"

### Public Class methods

new(template_name, options = {})

[Source]

        # File lib/phusion_passenger/html_template.rb, line 28
    28:         def initialize(template_name, options = {})
    29:                 @buffer = ''
    30:                 @template = ERB.new(File.read("#{TEMPLATE_DIR}/#{template_name}.html.erb"),
    31:                         nil, nil, '@buffer')
    32:                 options.each_pair do |name, value|
    33:                         self[name] = value
    34:                 end
    35:         end

### Public Instance methods

[]=(name, value)

[Source]

        # File lib/phusion_passenger/html_template.rb, line 37
    37:         def []=(name, value)
    38:                 instance_variable_set("@#{name}".to_sym, value)
    39:                 return self
    40:         end

result()

[Source]

        # File lib/phusion_passenger/html_template.rb, line 42
    42:         def result
    43:                 return @template.result(binding)
    44:         end

[Validate]